%if "%{?rhel}" == "6" 
%global _jarsign_opts --unsign=%{_javadir} 
%endif


%define section .Final
%define reltag _redhat_2
%define namedreltag -redhat-2
%global namedversion  %{version}%{?section}%{?namedreltag}

%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%define maven_version 1.1.0.Final-redhat-2

Name: staxmapper
Summary: StAX Mapper
Version: 1.1.0
Release: 6%{?section}%{?reltag}%{?dist}.2
License: LGPLv2+
Group: Development/Libraries

%if %with mead
Source100: org.jboss-staxmapper-1.1.0.Final-redhat-2-sources.zip
Source101: org.jboss-staxmapper-1.1.0.Final-redhat-2-patches.zip
Source102: staxmapper-1.1.0.Final-redhat-2-sources.jar
Source103: staxmapper-1.1.0.Final-redhat-2.pom
Source104: staxmapper-1.1.0.Final-redhat-2-javadoc.jar
Source105: staxmapper-1.1.0.Final-redhat-2.jar
%endif


BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch

BuildRequires: unzip

Requires:       jpackage-utils
Requires(post):       jpackage-utils
Requires(postun):     jpackage-utils

%description
StAX Mapper

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

Requires:       jpackage-utils

%description javadoc
Javadoc for %{name}

%prep
                                                                                                     
%build
                                                                                                     
%install
rm -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}

#poms
%add_to_maven_depmap org.jboss %{name} %{namedversion} JPP %{name}
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

#jars
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}.jar %{name}.jar)

install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}-sources.jar %{name}-sources.jar)

%if 0
install -pD -T -m 644 %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-javadoc.jar
(cd %{buildroot}%{_javadir} && ln -s %{name}-%{namedversion}-javadoc.jar %{name}-javadoc.jar)
%endif

#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}
unzip -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion} %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar
rm -rf $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{namedversion}/META-INF
(cd %{buildroot}%{_javadocdir} && ln -s %{name}-%{namedversion} %{name})

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-%{namedversion}.jar
%{_javadir}*/%{name}-sources.jar
%{_javadir}*/%{name}-%{namedversion}-sources.jar
#%%{_javadir}*/%{name}-javadoc.jar
#%%{_javadir}*/%{name}-%{namedversion}-javadoc.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{namedversion}

%changelog
* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-6.Final_redhat_2.2
- Rebuild for MD5

* Mon Aug 20 2012 Vladimir Dosoudil <dosoudil@redhat.com> - 1.1.0-5.Final_redhat_2.2
- Update poms for eap 6.0.1

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-4.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-4.Final_redhat_1.1
- Rebuild using cache signing

* Fri May 25 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-4.Final_redhat_1
- Remove javadocs JAR from main package

* Thu Mar 15 2012 Lin Gao <lgao@redhat.com> - 1.1.0-3.Final_redhat_1
- Use new wrapper
- Requries jpackage-utils in javadoc subpackage
- List each file in %files

* Thu Feb 16 2012 Lin Gao <lgao@redhat.com> - 1.1.0-2.Final_redhat_1
- remove META-INF from javadoc

* Thu Feb 16 2012 Lin Gao <lgao@redhat.com> - 1.1.0-1.Final_redhat_1
- Upgrade to 1.1.0.Final

* Tue Feb 07 2012 Red Hat Release Engineering <release-engineering@redhat.com> - 1.0.0-4.Final_redhat_1
- Rebuild to use new signing key

* Tue Jan 31 2012 Lin Gao <lgao@redhat.com> - 0:1.0.0-3.Final_redhat_1
- fix pom to use new BOM
- switch to rhpkg build
- fill spec for rpm build from mead build

* Mon Aug 22 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0.Final-2
- Use productization git repository
- wolf build

* Tue Aug 2 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0.Final-1
- upgrade to 1.0.0.Final

* Mon Jun 27 2011 Lin Gao <lgao@redhat.com> - 0:1.0.0.Beta4-1
- initial template for staxmapper

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
